#4.2 Cervejas
	#criando objeto cervejas
		cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")	

	#1a. grfico de barras
		barplot(sort(table(cervejas),decreasing=T))

	#1b. grfico dotplot
		dotchart(sort(table(cervejas),decreasing=T))

	#2. O grfico dotplot tem maior razo dado/tinta.

#4.3 Caixetais
	#importando dados	
		caixeta <- read.csv("caixeta.csv")
	
	#1a. criando a varivel dap
		caixeta$dap <- caixeta$cap/pi
	#1b. histograma dap
		hist(caixeta$dap)
	#2a. removendo os valores repetidos de altura
		fuste.1 <- caixeta[caixeta$fuste==1,]
	#2b. histograma altura em diferentes caixetais
		histogram(~h|local,data=fuste.1)
	#3. Aparentemente no h diferena entre as estruturas dos caixetais, mais informaes na anlise estatstica.


#4.4 Eucaliptos
	#importando os dados
		egrandis <- read.csv("egrandis.csv", sep=";")
	#1a. boxplot dap x regio
		 boxplot(dap~regiao, data=egrandis)
	#1b. boxplot dap x rotao	
		boxplot(dap~rotacao, data=egrandis)
	#2a. criando o grfico Q-Q comparando altura total com um distribuio normal
		qqnorm(egrandis$ht)
		qqline(egrandis$ht)
	#2b. A distribuio da altura do conjunto total de rvores apresenta a cauda direita muito alongada e a cauda esquerda truncada.

#4.5 Mais Caixetais
	#importando os dados
		caixeta=read.table("caixeta.csv",sep=",", head=T) 

	#1. relao dap-altura ('dap' e 'h') em funcao do caixetal (local) 
		sub <-  subset(caixeta, caixeta$especie=="Tabebuia cassinoides", select=c("arvore","local","dap","h")) 
		sub$area.basal= pi*(sub$dap/2)^2
		sul <- aggregate(sub$area.basal,by=list(arvore=sub$arvore,local=sub$local, h=sub$h), sum) 
		sul$dap <- (sul$x/pi)*2
		cha <- plot(sul$dap[sul$local=="chauas"])
		jur <- plot(sul$dap[sul$local=="jureia"])
		ret <- plot(sul$dap[sul$local=="retiro"])
	#2. linearidade
		scatter.smooth( sul$dap, sul$h)
	#3. pacote lattice	
		splom(sul[ , c("dap","h")] , group=sul$local)  
		xyplot(sul$dap~sul$h|local, data=sul)  




















































