#7.2 O modelo mais simples possvel
	
#importando os dados
	library(MASS)
	data(Animals)
#ajustando os modelos
	anim.m2 <- lm(log(brain)~log(body),data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))
	anim.m0 <- lm(log(brain)~1, data=Animals,subset=!(log(Animals$body)>8&log(Animals$brain)<6))
#comparando os modelos
	anova(anim.m0,anim.m2)
	anova(anim.m2)

#1. Os comandos "anova(anim.m0,anim.m2)" e "anova(anim.m2)" so equivalentes,
#	pois em ambos os casos o modelo "anim.m2"  comparado com o modelo nulo.


#investigando o modelo nulo
	summary(anim.m0)
	mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
	sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

#2. O intercepto do modelo "anim.m0"  a mdia da amostra e os resduos desse mesmo 
#	modelo so o desvio padro da amostra.