#1. Galileu estava certo?

	init.h <- c(600, 700, 800, 950, 1100, 1300, 1500)
	h.d <- c(253, 337, 395, 451, 495, 534, 573)

	plot(h.d~init.h)

	ml.1 <- lm(h.d~init.h)
	ml.2 <- update(ml.1,.~. +I(init.h^2))
	ml.3 <- update(ml.2,.~. +I(init.h^3))

	anova(ml.1,ml.2)
	anova(ml.2, ml.3)

	#A diferena entre "ml.2" e "ml.3"  significativa, ou seja, no  possvel
	#simplificar o modelo sem perder poder de explicao do fenmeno. Logo, ficamos com
	#o modelo mais complexo, no caso "ml.3"


# Massa de Recm-Nascidos

	babies <- read.table("babies.csv", header=TRUE, sep="", as.is=T)

	#eliminando dados faltantes
	babies$age[babies$age==99] <- NA
	babies$height[babies$height==99] <- NA
	babies$smoke[babies$smoke==9] <- NA
	table(apply(is.na(babies),1,sum))

	babies <- babies[apply(is.na(babies),1,sum)==0, ]
	
	#criando o modelo cheio
	lmbabiesfull <- lm(bwt~gestation+age+smoke+height+weight+parity, data=babies)
	#ou seja
	lmbabiesfull <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + gestation:height:weight + gestation:age:weight + 
	+ smoke:age:weight + smoke:gestation:weight + smoke:height:gestation + smoke:gestation:age + parity:age:weight + parity:gestation:weight + parity:height:gestation
	+ parity:gestation:age, data=babies)

	#comparando modelos
	summary(lmbabiesfull)
	m1 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + gestation:height:weight + gestation:age:weight + 
	+ smoke:age:weight + smoke:gestation:weight + smoke:height:gestation + smoke:gestation:age + parity:gestation:weight + parity:height:gestation + 
	+ parity:gestation:age, data=babies)
	anova(lmbabiesfull,m1)

	summary(m1)
	m2 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + gestation:height:weight + gestation:age:weight + 
	+ smoke:age:weight + smoke:gestation:weight + smoke:height:gestation + smoke:gestation:age + parity:height:gestation + parity:gestation:age, data=babies)
	anova(m2,m1)

	summary(m2)
	m3 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + gestation:height:weight  + smoke:age:weight + 
	+ smoke:gestation:weight + smoke:height:gestation + smoke:gestation:age + parity:height:gestation + parity:gestation:age, data=babies)
	anova(m3,m2)

	summary(m3)
	m4 <- LinearModel.12 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + smoke:age:weight + smoke:gestation:weight + 
	+ smoke:height:gestation + smoke:gestation:age + parity:height:gestation + parity:gestation:age, data=babies)
	anova(m4,m3)

	summary(m4)
	m5 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + smoke:age:weight + smoke:gestation:weight + 
	+ smoke:gestation:age + parity:height:gestation + parity:gestation:age, data=babies)
	anova(m5,m4)
	
	summary(m5)
	m6 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + smoke:gestation:weight + smoke:gestation:age + 
	+ parity:height:gestation + parity:gestation:age, data=babies)
	anova(m6,m5)

	summary(m6)
	m7 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + smoke:gestation:age + parity:height:gestation + 
	+ parity:gestation:age, data=babies)
	anova(m7,m6)

	summary(m7)
	m8 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + smoke:gestation:age + parity:height:gestation, 
	+ data=babies)
	anova(m8,m7)

	summary(m8)
	m9 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + weight:smoke + parity:smoke + smoke:gestation:age + parity:height:gestation, 
	+ data=babies)
	anova(m9,m8)

	summary(m9)
	m10 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight + parity:smoke + parity:height:gestation, data=babies)
	anova(m10,m9)

	summary(m10)
	m11 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:parity + gestation:height + gestation:weight + height:weight+ parity:height:gestation, data=babies)
	anova(m11,m10)

	summary(m11)
	m12 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:height + gestation:weight + height:weight + parity:height:gestation, data=babies)
	anova(m12,m11)

	summary(m12)
	#dois caminhos possveis, testamos um de cada vez ("13a" e "13b")
	
	m13a <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:height + gestation:weight + height:weight, data=babies)
	m13b <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:weight + age:smoke + age:gestation + age:parity + gestation:smoke + 
	+ gestation:height + gestation:weight + parity:height:gestation, data=babies)
	anova(m13a,m12)
	anova(m13b,m12)

	summary(m13b)
	m14 <- lm(bwt ~ age + gestation + height + parity + smoke + weight  + age:smoke + age:gestation + age:parity + gestation:smoke + gestation:height + 
	+ gestation:weight + parity:height:gestation, data=babies)
	anova(m14,m13b)

	summary(m14)
	m15 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:gestation + age:parity + gestation:smoke + gestation:height + 
	+ gestation:weight + parity:height:gestation, data=babies)
	anova(m15,m14)

	summary(m15)
	m16 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:gestation + gestation:smoke + gestation:height + gestation:weight + 
	+ parity:height:gestation, data=babies)
	anova(m16,m15)
	
	summary(m16)
	m17 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:gestation + gestation:smoke + gestation:weight + parity:height:gestation, 
	+ data=babies)
	anova(m17,m16)

	summary(m17)
	m18 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:gestation + gestation:smoke + parity:height:gestation, data=babies)
	anova(m18,m17)

	summary(m18)
	m19 <- lm(bwt ~ age + gestation + height + parity + smoke + weight + age:gestation + gestation:smoke, data=babies)
	anova(m19,m18)

	#H diferena significativa entre "m18" e "m19", o melhor modelo  "m18".
	