#Exerccios 5 - Criao de Grficos

	#importando os dados
		esaligna <- read.table("esaligna.csv",sep=",",header=T,as.is=T)
	
	#5.1 Editando alguns parmetros grficos
		plot(esaligna$dap,esaligna$ht,xlab="DAP(cm)",ylab="Altura(m)",main="Altura x DAP de Eucalyptus Salina",cex.main=1.75,cex.lab=1.25,bty="L", tcl=0.5)

	#5.2 Dois grficos juntos
		m <- tapply(X=esaligna$dap,INDEX=esaligna$talhao,FUN=mean)	
		d <- tapply(X=esaligna$dap,INDEX=esaligna$talhao,FUN=sd)
		
		par(mfrow=c(1,2))
		
		boxplot(esaligna$dap~esaligna$talhao,xlab="Talho",ylab="DAP(cm)")
		text(1,20,"a",cex=1.5)
		
		plot(1:6,m,ylim=c(6,23),xaxt="n",xlab="Talho",ylab="DAP Mdio (cm)")
		segments(x0=1:6,y0=m,y1=c((m+d),(m-d)))
		axis(1,at=1:6,labels=c("16","17","18","22","23","32"))
		text(1.3,20,"b",cex=1.5)

	#5.3 Adivinhando o cdigo
		exe3 <-  read.table("exercicio3.csv",sep=",",header=T,as.is=T)
		
		par(mfrow=c(1,2),bty="L",tcl=0.3,family="serif")		
		
		plot(exe3$y1~exe3$x1,ylim=c(0,3.1),xlim =c(0.5,2.2),pch=17,bty="l",ylab=" ",xlab=" ")
		mtext("Euclidean distances",side=2,line=2.3,at=(1.55),cex=1.1,font=1)
		mtext("Log(Patch size)(ha)",side=1,line=2,at=(1.35),cex=1)
		text(2.15,3,"a",cex=1.2,font=1)
		segments(x0=0.5,y0=2.25,x1=2.17,y1=1,lwd=2)
		
		boxplot(exe3$x2~exe3$y2,xaxt ="n",ylim =c(0,3),xlim=c(0.5,6.5),outline=F)
		text(x=c(1:5),y=rep(3,times=5),c("*","*","**","*","***"),cex=1.3)
		text(6.5,3,"b",cex=1.2)
		axis(1,at=1:6,labels=rep(" ",times=6)) 
		mtext(c("Small\n","Medium\n Edge","Medium\n Interior","Large\n Edge","Large\n Interior","Control\n"),side=1,line=1.5,at=(1:6),cex=0.8)